Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.addsequence
Class AddSequenceData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.addsequence.AddSequenceData

All Implemented Interfaces:
  StepDataInterface

    public class AddSequenceData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`org.pentaho.di.core.Counter` | `counter`
`long` | `increment`
`long` | `maximum`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`long` | `start`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`AddSequenceData()`

Method Summary
`org.pentaho.di.core.database.Database` | `getDb()`
`String` | `getLookup()`
`void` | `setDb(org.pentaho.di.core.database.Database db)`
`void` | `setLookup(String lookup)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### counter

    public org.pentaho.di.core.Counter counter

### start

    public long start

### increment

    public long increment

### maximum

    public long maximum

Constructor Detail

### AddSequenceData

    public AddSequenceData()

Method Detail

### getDb

    public org.pentaho.di.core.database.Database getDb()

  Returns:
    Returns the db.

### setDb

    public void setDb(org.pentaho.di.core.database.Database db)

  Parameters:
    `db` - The db to set.

### getLookup

    public String getLookup()

  Returns:
    Returns the lookup string usually "@@"+the name of the sequence.

### setLookup

    public void setLookup(String lookup)

  Parameters:
    `lookup` - the lookup string usually "@@"+the name of the sequence.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD